cascading.flow.hadoop

## Class HadoopFlowStep

- java.lang.Object
- - cascading.flow.planner.BaseFlowStep<JobConf>
  - - cascading.flow.hadoop.HadoopFlowStep

All Implemented Interfaces:
  FlowStep<JobConf>, ProcessModel, ProcessLogger, java.io.Serializable

Direct Known Subclasses:
  MapReduceFlowStep

    public class HadoopFlowStep
    extends BaseFlowStep<JobConf>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class cascading.flow.planner.BaseFlowStep

`elementGraph, flowNodeGraph, flowStepStats, sinks, sources, tempSink`

### Fields inherited from interface cascading.flow.FlowStep

`CASCADING_FLOW_STEP_ID`

### Fields inherited from interface cascading.util.ProcessLogger

`NULL`

### Constructor Summary

Constructors
`protected` `HadoopFlowStep()`
`` `HadoopFlowStep(ElementGraph elementGraph, FlowNodeGraph flowNodeGraph)`
`protected` `HadoopFlowStep(java.lang.String name, int ordinal)`

### Method Summary

Methods
`void` `clean(JobConf config)` Method clean removes any temporary files used by this FlowStep instance.
`protected void` `cleanIntermediateData(JobConf config, Tap sink)`
`protected FlowStepJob<JobConf>` `createFlowStepJob(ClientState clientState, FlowProcess<JobConf> flowProcess, JobConf initializedStepConfig)`
`JobConf` `createInitializedConfig(FlowProcess<JobConf> flowProcess, JobConf parentConfig)`
`java.util.Map<java.lang.Object,java.lang.Object>` `getConfigAsProperties()`
`protected void` `initFromSink(FlowProcess<JobConf> flowProcess, JobConf conf)`
`protected void` `initFromSources(FlowProcess<JobConf> flowProcess, JobConf conf)`
`protected void` `initFromTraps(FlowProcess<JobConf> flowProcess, JobConf conf)`
`boolean` `isHadoopLocalMode(JobConf conf)`

### Methods inherited from class cascading.flow.planner.BaseFlowStep

`addAllGroups, addGroup, addGroups, addListener, addProcessAnnotation, addProcessAnnotation, addSink, addSinks, addSource, addSources, clean, commitSinks, configure, containsPipeNamed, createClientState, equals, fireOnCompleted, fireOnRunning, fireOnStarting, fireOnStopping, fireOnThrowable, getAllAccumulatedSources, getAllOperations, getAllStreamedSources, getAnnotations, getConfig, getCreateFlowStepJob, getElementGraph, getFlow, getFlowID, getFlowName, getFlowNodeGraph, getFlowStepDescriptor, getFlowStepJob, getFlowStepStats, getGroup, getGroups, getID, getName, getNextFlowElement, getNextScope, getNodeDisplayName, getNumFlowNodes, getOrdinal, getPreviousScopes, getProcessAnnotations, getSink, getSinkElements, getSinkName, getSinkTaps, getSinkWith, getSourceElements, getSourceName, getSourceTaps, getSourceWith, getStepDisplayName, getStepDisplayName, getSubmitPriority, getTrap, getTrapMap, getTraps, hashCode, hasListeners, initConfFromNodeConfigDef, initConfFromStepConfigDef, isDebugEnabled, isInfoEnabled, logDebug, logError, logError, logInfo, logWarn, logWarn, logWarn, prepareResources, removeListener, rollbackSinks, setConfig, setFlow, setFlowName, setFlowStepDescriptor, setFlowStepStats, setName, setOrdinal, setSubmitPriority, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HadoopFlowStep

    protected HadoopFlowStep()

#### HadoopFlowStep

    protected HadoopFlowStep(java.lang.String name,
                  int ordinal)

#### HadoopFlowStep

    public HadoopFlowStep(ElementGraph elementGraph,
                  FlowNodeGraph flowNodeGraph)

### Method Detail

#### getConfigAsProperties

    public java.util.Map<java.lang.Object,java.lang.Object> getConfigAsProperties()

Specified by:
  `getConfigAsProperties` in interface `FlowStep<JobConf>`
Overrides:
  `getConfigAsProperties` in class `BaseFlowStep<JobConf>`

#### createInitializedConfig

    public JobConf createInitializedConfig(FlowProcess<JobConf> flowProcess,
                                  JobConf parentConfig)

Specified by:
  `createInitializedConfig` in class `BaseFlowStep<JobConf>`

#### isHadoopLocalMode

    public boolean isHadoopLocalMode(JobConf conf)

#### createFlowStepJob

    protected FlowStepJob<JobConf> createFlowStepJob(ClientState clientState,
                                         FlowProcess<JobConf> flowProcess,
                                         JobConf initializedStepConfig)

Specified by:
  `createFlowStepJob` in class `BaseFlowStep<JobConf>`

#### clean

    public void clean(JobConf config)

Method clean removes any temporary files used by this FlowStep instance. It will log any IOExceptions thrown.

Specified by:
  `clean` in class `BaseFlowStep<JobConf>`
Parameters:
  `config` - of type JobConf

#### cleanIntermediateData

    protected void cleanIntermediateData(JobConf config,
                             Tap sink)

#### initFromSources

    protected void initFromSources(FlowProcess<JobConf> flowProcess,
                       JobConf conf)

#### initFromSink

    protected void initFromSink(FlowProcess<JobConf> flowProcess,
                    JobConf conf)

#### initFromTraps

    protected void initFromTraps(FlowProcess<JobConf> flowProcess,
                     JobConf conf)